package uk.ac.cf.spring.demo.sports.match;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
//inject
@Service
public class MatchServiceListImpl implements MatchService{
    //inject repository
    @Autowired
    private MatchRepository matchRepository;
    public MatchServiceListImpl(MatchRepository aMatchRepository) {
        this.matchRepository = aMatchRepository;
    }
    @Override
    public List<MatchItem> getMatchItems() {
        return matchRepository.getMatchItems();
    }

    @Override
    public MatchItem getMatchItemById(Long id) {
        return matchRepository.getMatchItemById(id);
    }

    @Override
    public List<MatchItem> getMatchItemBySport(String sport) {
        return matchRepository.getMatchItemBySport(sport);
    }

    @Override
    public void addMatchItem(MatchItem matchItem) {
        matchRepository.addMatchItem(matchItem);
    }
}
