drop table if exists match_item;
create table if not exists match_item (
    -- Match ID
    id BIGINT AUTO_INCREMENT PRIMARY KEY,
    -- Sport type
    sport ENUM('Pools', 'Darts', 'TableTennis') NOT NULL,
    -- Player A ID
    player_AId BIGINT NOT NULL,
    -- Player B ID
    player_BId BIGINT NOT NULL,
    plan_Time DATETIME NOT NULL,
    -- Match status
    status ENUM('pending', 'confirmed', 'completed') DEFAULT 'pending',
    score_a INT DEFAULT 0,
    score_b INT DEFAULT 0,
    confirm_a BOOLEAN DEFAULT FALSE,
    confirm_b BOOLEAN DEFAULT FALSE,
    winner_id BIGINT DEFAULT NULL
);

-- 创建User表
CREATE TABLE users (
                       id INT AUTO_INCREMENT PRIMARY KEY,  -- 用户ID，自动递增
                       username VARCHAR(50) UNIQUE NOT NULL,  -- 用户名
                       password VARCHAR(100) NOT NULL,  -- 密码
                       role VARCHAR(20) NOT NULL DEFAULT 'USER'  -- 用户角色，默认'USER'
);

-- 创建UserDetail表
CREATE TABLE user_details (
                              id INT AUTO_INCREMENT PRIMARY KEY,  -- 详情ID
                              user_id INT NOT NULL,  -- 外键，关联User表
                              forename VARCHAR(50) NOT NULL,  -- 名字
                              surname VARCHAR(50) NOT NULL,  -- 姓氏
                              email VARCHAR(100) UNIQUE NOT NULL,  -- 邮箱
                              FOREIGN KEY (user_id) REFERENCES users(id)  -- 外键关联
);

